## vtable-dumper 1.0

=== Makefile ===
prefix ?= /usr

all:
	gcc dump-vtable.c -o vtable-dumper -ldl -lelf -lstdc++ -Wall

install: all
	mkdir -p $(prefix)/bin/
	install vtable-dumper $(prefix)/bin/

uninstall:
	rm -f $(prefix)/bin/vtable-dumper

clean:
	rm -f vtable-dumper

=== debian/changelog ===
vtable-dumper (1.0-1) unstable; urgency=low

  * Initial release

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jun 2013 11:34:40 +0200

=== debian/control ===
Source: vtable-dumper
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), libelf-dev
Maintainer: Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.4
Homepage: https://github.com/lvc/vtable-dumper
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/vtable-dumper/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/vtable-dumper/trunk/

Package: vtable-dumper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to list content of virtual tables in a C++ shared library
 It is intended for developers of software libraries and maintainers of Linux
 distributions who are interested in ensuring backward binary compatibility.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/vtable-dumper/usr
	$(MAKE) install prefix=$(CURDIR)$(DESTDIR)/debian/vtable-dumper/usr

debian/vtable-dumper.1: debian/vtable-dumper.1.in
	help2man --help-option=--info --include=$< --output=$@ --no-info vtable-dumper

get-orig-source:
	uscan --download --force-download --rename

## vtable-dumper 1.1

=== debian/changelog ===
vtable-dumper (1.1-1) unstable; urgency=medium

  * New upstream:
    Fixed demangling of typeinfos and pure virtual functions.
  * Bump Std-Vers to 3.9.6 no changes needed 

 -- Mathieu Malaterre <malat@debian.org>  Sat, 11 Jul 2015 22:50:28 +0200

=== debian/control ===
Source: vtable-dumper
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), libelf-dev
Maintainer: Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.6
Homepage: https://github.com/lvc/vtable-dumper
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/vtable-dumper/trunk
Vcs-Browser: http://svn.debian.org/viewvc/collab-maint/deb-maint/vtable-dumper/trunk/

Package: vtable-dumper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to list content of virtual tables in a C++ shared library
 It is intended for developers of software libraries and maintainers of Linux
 distributions who are interested in ensuring backward binary compatibility.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/vtable-dumper/usr
	$(MAKE) install prefix=$(CURDIR)$(DESTDIR)/debian/vtable-dumper/usr

debian/vtable-dumper.1: debian/vtable-dumper.1.in
	help2man --include=$< --output=$@ --no-info vtable-dumper

get-orig-source:
	uscan --download --force-download --rename

## vtable-dumper 1.2

=== Makefile ===
prefix ?= /usr

.PHONY: all install uninstall clean
all: vtable-dumper

install: vtable-dumper
	mkdir -p $(DESTDIR)$(prefix)/bin/
	install vtable-dumper $(DESTDIR)$(prefix)/bin/

vtable-dumper: dump-vtable.c dump-vtable.h
	$(CC) $(CFLAGS) $(LDFLAGS) -o vtable-dumper dump-vtable.c -ldl -lelf -lstdc++

uninstall:
	rm -f $(DESTDIR)$(prefix)/bin/vtable-dumper

clean:
	rm -f vtable-dumper

=== debian/changelog ===
vtable-dumper (1.2-1) unstable; urgency=medium

  * New upstream version (Closes: #851307):
    + Fix a buffer overflow.
  * Bump standard version no change.
  * Add myself as maintainer.
  * Switch to git-dpm.
  * Update copyright.
  * Improve man page.
  * Improve long description.
  * Enable all hardening flags.
  * Add testsuite.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 14 Jan 2017 23:41:47 +0100

=== debian/control ===
Source: vtable-dumper
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10), libelf-dev
Maintainer: Mathieu Malaterre <malat@debian.org>
Uploaders: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Standards-Version: 3.9.8
Homepage: https://github.com/lvc/vtable-dumper
Vcs-git: https://anonscm.debian.org/cgit/collab-maint/vtable-dumper.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vtable-dumper.git
Testsuite: autopkgtest

Package: vtable-dumper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to list content of virtual tables in a C++ shared library
 It is intended for developers of software libraries and maintainers of Linux
 distributions who are interested in ensuring backward binary compatibility.
 .
 A virtual function table is a mechanism used in a programming language to
 support dynamic dispatch (or run-time method binding). Virtual tables
 are part of the ABI of a C++ shared library.

=== debian/tests/control ===
Tests: basic
Depends: vtable-dumper, g++

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/vtable-dumper-$1.tar.gz/ \
  https://github.com/lvc/vtable-dumper/tags .*/v?(\d[\d\.]+)\.tar\.gz
